Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.wrapper
Class CK_MECHANISM

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.wrapper.CK_MECHANISM

public class CK_MECHANISM
extends java.lang.Object

class CK_MECHANISM specifies a particular mechanism and any parameters it requires.

PKCS#11 structure:

      typedef struct CK_MECHANISM {
        CK_MECHANISM_TYPE mechanism;
        CK_VOID_PTR pParameter;
        CK_ULONG ulParameterLen;
      } CK_MECHANISM;

Author:
  Karl Scheibelhofer , Martin Schl??ffer

Field Summary
`long` | `mechanism` PKCS#11:
`java.lang.Object` | `pParameter` PKCS#11:

Constructor Summary
`CK_MECHANISM()`

Method Summary
`java.lang.String` | `toString()` Returns the string representation of CK_MECHANISM.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mechanism

    public long mechanism

  PKCS#11:

         CK_MECHANISM_TYPE mechanism;

### pParameter

    public java.lang.Object pParameter

  PKCS#11:

         CK_VOID_PTR pParameter;
         CK_ULONG ulParameterLen;

Constructor Detail

### CK_MECHANISM

    public CK_MECHANISM()

Method Detail

### toString

    public java.lang.String toString()

  Returns the string representation of CK_MECHANISM.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of CK_MECHANISM

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18